weka.classifiers.trees.m5

## Class YongSplitInfo

- java.lang.Object
- - weka.classifiers.trees.m5.YongSplitInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, SplitEvaluate, RevisionHandler

      public final class YongSplitInfo
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable, SplitEvaluate, RevisionHandler

  Stores split information.
  Version:
    $Revision: 11269 $
  Author:
    Yong Wang (yongwang@cs.waikato.ac.nz), Mark Hall (mhall@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YongSplitInfo(int low, int high, int attr)` Constructs an object which contains the split information

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attrSplit(int attr, Instances inst)` Finds the best splitting point for an attribute in the instances
    `SplitEvaluate` | `copy()` Makes a copy of this SplitInfo object
    `java.lang.String` | `getRevision()` Returns the revision string.
    `void` | `initialize(int low, int high, int attr)` Resets the object of split information
    `double` | `maxImpurity()` Returns the impurity of this split
    `int` | `position()` Returns the position of the split in the sorted values.
    `int` | `splitAttr()` Returns the attribute used in this split
    `double` | `splitValue()` Returns the split value
    `java.lang.String` | `toString(Instances inst)` Converts the spliting information to string

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YongSplitInfo

          public YongSplitInfo(int low,
                               int high,
                               int attr)

      Constructs an object which contains the split information
      Parameters:
        `low` - the index of the first instance
        `high` - the index of the last instance
        `attr` - an attribute

  - ### Method Detail

    - #### copy

          public final SplitEvaluate copy()
                                   throws java.lang.Exception

      Makes a copy of this SplitInfo object
      Specified by:
        `copy` in interface `SplitEvaluate`
      Returns:
        a copy of the object
      Throws:
        `java.lang.Exception`

    - #### initialize

          public final void initialize(int low,
                                       int high,
                                       int attr)

      Resets the object of split information
      Parameters:
        `low` - the index of the first instance
        `high` - the index of the last instance
        `attr` - the attribute

    - #### toString

          public final java.lang.String toString(Instances inst)

      Converts the spliting information to string
      Parameters:
        `inst` - the instances

    - #### attrSplit

          public final void attrSplit(int attr,
                                      Instances inst)
                               throws java.lang.Exception

      Finds the best splitting point for an attribute in the instances
      Specified by:
        `attrSplit` in interface `SplitEvaluate`
      Parameters:
        `attr` - the splitting attribute
        `inst` - the instances
      Throws:
        `java.lang.Exception` - if something goes wrong

    - #### maxImpurity

          public double maxImpurity()

      Returns the impurity of this split
      Specified by:
        `maxImpurity` in interface `SplitEvaluate`
      Returns:
        the impurity of this split

    - #### splitAttr

          public int splitAttr()

      Returns the attribute used in this split
      Specified by:
        `splitAttr` in interface `SplitEvaluate`
      Returns:
        the attribute used in this split

    - #### position

          public int position()

      Returns the position of the split in the sorted values. -1 indicates that a split could not be found.
      Specified by:
        `position` in interface `SplitEvaluate`
      Returns:
        an `int` value

    - #### splitValue

          public double splitValue()

      Returns the split value
      Specified by:
        `splitValue` in interface `SplitEvaluate`
      Returns:
        the split value

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision